/* --- FONTS --- */
/* josefin sans */
@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans:ital,wght@0,100..700;1,100..700&display=swap');
/* plus-jakarta-sans */
@import url('https://fonts.googleapis.com/css2?family=Plus+Jakarta+Sans:ital,wght@0,200..800;1,200..800&display=swap');
/* dancing script */
@import url('https://fonts.googleapis.com/css2?family=Dancing+Script:wght@400..700&family=Plus+Jakarta+Sans:ital,wght@0,200..800;1,200..800&display=swap');

.plusJakartaSans-font {
    font-family: "Plus Jakarta Sans", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
}
.dancingScript-font {
    font-family: "Dancing Script", cursive;
    font-optical-sizing: auto;
    font-style: normal;
}
@keyframes kenBurns {
    0% {
        transform: scale(1) translate(0, 0);
    }
    50% {
        transform: scale(1.2) translate(-10px, -10px);
    }
    100% {
        transform: scale(1) translate(0, 0);
    }
}
body {
    font-family: "Plus Jakarta Sans", sans-serif;
}
a {
    text-decoration: none;
}

#header-top-ctn {
    background-color: #EEF2F6;
    display: flex;
    justify-content:space-around;
    padding: 10px;
    border-bottom-width: 3px;
    border-bottom-style: solid;
    border-bottom-color: #496aaa;
    font-size: 0.75rem;
}
#desktop-nav-ctn {
    display: flex;
    align-items: center;
    justify-content: space-around;
    background-color: white;
    padding-right: 20px;
    padding-left: 20px;
    padding-top: 5px;
}
.fixed-nav {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 2;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 15px 20px; /* Adjust padding for a different fixed state appearance */
    transition: top 0.7s ease, padding 0.7s ease, box-shadow 0.7s ease; /* Added transition */
}
#header-banner {
    position: relative;
    height: 1000px;
    overflow: hidden;
    align-content: center;
    display: flex;
}
#header-banner p {
    position: absolute;

    color: white;
    text-align: center;
    width: 100%;
    text-transform: uppercase;
    font-size: 70px;
    font-weight: 700;
}
#header-banner img {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    object-fit: cover;
    animation: kenBurns 60s ease forwards;
    transform-origin: bottom left;
    animation-fill-mode: forwards;
    animation-iteration-count : infinite;
    z-index: -1;
}
.reservationBtn {
    background-color: #496AAA;
    border-color: #496AAA;
    transition: background-color 0.3s ease;
    font-family: "Josefin Sans", sans-serif;
    font-weight: 700;
    text-transform: uppercase;
    border-radius: 7px;
    width: 250px;
    height: 50px;
}
.reservationBtn a {
    color: white;
    width: 100%;
    display: block;
    padding: 10px;
    box-sizing: border-box;
}

.reservationBtn:hover {
    background-color: #7690C4;
}

#translateBtn {
    width: 70px;
    background: white;
    border-radius: 5px;
    margin-top: 10px;
}
#translateBtn a {
    color: black;
    background-color: white;
    font-weight: 700;
    color: #1D2A44;
}
#header-info-ctn {
    display: flex;
    flex-direction: column;
}
#header-social-media {
    display: flex;
    justify-content: space-evenly;
    margin-bottom: 5px;
}
#header-social-media a {
    color: #3D577D;
}

#desktop-nav {
    height: 50px
}
#desktop-nav ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
}
#desktop-nav li {
    display: inline-block;
    margin-right: 150px;
}
#desktop-nav ul li a {
    color: #1D2A44;
    text-transform: uppercase;
    font-weight: 700;
    width: 100%;
    height: 100%;
    display: block;
    line-height: 50px;
    font-size: 21px;
}

#header-logo img {
    margin-bottom: -120px;
    z-index: 999;
    position: relative;
}
#desktop-nav ul li a {
    transition: transform 0.3s ease;
}

#desktop-nav ul li a:hover {
    transform: scale(1.1);
}

main {
    margin: 10px 30px;
    display: flex;
    flex-direction: column;
}
#section1 {
    display: flex;
    flex-direction: row;
    min-height: 500px;

    justify-content: center;
}
.buttonTypeOne {
    transition: background-color 0.3s ease;
    color: white;
    background-color: #CB3A3A;
    border-color: #CB3A3A;
    border-radius: 7px;
    width: 250px;
    font-weight: 700;

    -webkit-box-shadow: 5px 5px 15px -5px #000000;
    box-shadow: 5px 5px 15px -5px #000000;
}
.buttonTypeOne:hover {
    background-color: #DB6E6E;
}
#decouvrirCarteBtn {
    margin-left: 35%;
}
#decouvrirCarteBtn a, #decouvrirPhotosBtn a {
    color: white;
    width: 100%;
    display: block;
    padding: 10px;
    box-sizing: border-box;

}

#resto-illu {
    background-color: #3D577D;
    width: 30%;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 40px;
    transform: rotate(-7deg);
}
#resto-illu img {
    height: auto;
    border-radius: 20px;
    border: 7px solid white;
    /*transform: rotate(7deg);*/
    transform: rotate(42deg);
}
#resto-infos {
    background-color: #CCE5FF;
    width: 50%;
    padding: 40px;

    border-top-right-radius: 30px;
    border-bottom-right-radius: 30px;
}
#resto-infos h1 {
    font-size: 3em;
}
#resto-infos p {
    max-width: 660px;
    margin-left : 10%;
    margin-top : 45px;
    letter-spacing: 2px;
    line-height: 30px;
}






#resto-illu.rotated img {
    transform: rotate(7deg);
    transition: transform 0.7s ease-in-out;
}


/* Initially hide the burger menu */
.hide {
    display: none;
}
#burger-menu {
    cursor: pointer;
    align-self: center;

    font-size: 25px;
    /* Add more styling as needed */
    transition: transform 0.1s ease; /* Add transition effect */
}
#burger-menu.active {
    transform: rotate(90deg); /* Rotate the burger menu icon */
}
#mobile-nav-container {
    /*overflow: hidden;*/
    position: fixed;
    top: 0px;
    right: 0px;
    height: 100%;
    width: 50%;
    z-index: 2;
    background-color: white;
    transition: transform 0.3s ease; /* Add transition effect */
    padding-left: 80px;
    padding-right: 20px;
    padding-top: 20px;
}
.translate100 {
    transform: translateX(100%);
}
.translate0 {
    transform: translateX(0%);
}
#mobile-nav-header {
    display: flex;
    justify-content: space-between;
}
#mobile-nav-logo a {
    height: 100%;
    display: inline-block;

}
#mobile-nav-logo img {
    width: 82px;
}
/* Style for the cross container */
#mobile-nav-cross-container {
    width: 30px; /* Adjust the size as needed */
    height: 30px; /* Adjust the size as needed */
    position: absolute;
    top: 0;
    right: 0;
    cursor: pointer;
    z-index: 10;

    margin: 20px;
}
/* Style for each line */
.line {
    position: absolute;
    width: 100%;
    height: 2px; /* Adjust the thickness as needed */
    background-color: black; /* Adjust the color as needed */
    top: 50%;
    transform: translateY(-50%);
    /*transition: rotate 0.3s ease; /* Add transition effect */
}

/* Style for the horizontal line */
.line.horizontal {
    transition: transform 0.3s ease;
    transform: rotate(45deg);

}
.ul-none-nav {
    list-style-type: none;
    padding: 0px;
}
/* Style for the vertical line */
.line.vertical {
    transition: transform 0.3s ease;
    transform: rotate(-45deg);
}
#mobile-nav ul.ul-none-nav li:first-child {
    margin-top: 40px;
}
#mobile-nav ul li{
    margin-top: 40px;
    text-transform: uppercase;
}
#mobile-nav ul li a {
    color: black;
}
#mobile-nav ul li a:hover {
    text-decoration: underline;
    text-underline-offset: 8px;
}
.fontWeight500 {
    font-weight: 500;
}
.tDecoNone {
    text-decoration: none;
}
#modal-background {
    position: fixed;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    /* background-color: rgba(0, 0, 0, 0.5); */
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.11) 0%, rgba(0, 0, 0, 0.66) 100%);
    z-index: -1;
    opacity: 0;
    transition: opacity 0.5s ease-out;

}
.toggleZIBG {
    z-index: 1 !important;
}
.body-dark-bg {
    opacity: 1 !important;
}

#section2 {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    margin-top: 5%;
    flex-wrap: wrap;
}
#section2 img {
    border-radius: 20px;
}
#galerie-section1 {
    background-color: #2F64B3;
    display: flex;
    flex-direction: column;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    transform: rotate(7deg);
    width: 40%;

    margin-top: 50px;
}
#galerie-section1 img {
    transform: rotate(-7deg);
}
#galerie-section2 {
    display: flex;
    flex-direction: column;
}
#galerie-section2 h2 {
    font-size: 2.5em;
}
#galerie-section2 img:nth-child(1) {
    margin-right: 10px;
}
#galerie-section1 a:nth-child(2) {
    align-self: flex-end;
}
#decouvrirPhotosBtn {
    margin-top: 20px;
}
#decouvrirPhotosBtn a {
    color: white;
}

#galerie-section1 img,
#galerie-photos img {
    transition: transform 0.2s ease-in-out;
}

#galerie-section1 img:hover,
#galerie-photos img:hover {
    transform: scale(1.1);
}

#mobile-galerie {
    display: none;
    flex-direction: row;
    margin-top: 20px;
}

/* Définir l'état initial caché */
.hidden {
    transform: translateX(-100%) !important;
}

/* Définir l'état visible */
.visible {
    transform: translateX(0);
}
#section3 {
    display: flex;
    font-weight: 700;
    margin-top: 100px;
}
#section3 h2 {
    text-transform: uppercase;
}
#googleMap {
    padding: 30px;
}
#googleMap-ctn {
    text-align: center;
}
#googleMap-ctn  {
    text-transform: uppercase;
    background-color: #D0DBF1;
    width: 50%;
    display: flex;
    flex-direction: column;
    align-items: center;
}
#googleMap-ctn img {
    width: 100%;
}
#googleMap-ctn h2 {
    color: #0D4089;
}
#contact-ctn {
    width: 50%;
}
#contact-ctn h2 {
    color: #D0704E;
}
#contact-ctn h2, #contact-ctn p {
    text-align: center;
}
#contact-ctn p {
    font-size: 18px;
}
#contact-ctn span {
    color: #2F64B3;
}

.contact-form {
    max-width: 400px;
    margin: 0 auto;
}

.contact-form label {
    display: block;
    font-weight: bold;
    margin-bottom: 5px;
}
.contact-form input::placeholder, .contact-form textarea::placeholder {
    color: #b28d60;
    font-style: italic;
}
.contact-form input, .contact-form textarea {
    width: 100%;
    padding: 10px;
    margin-bottom: 15px;
    border: 1px solid #e0c7a3;
    background-color: #f7e8d6;
    box-sizing: border-box;
}

.contact-form input::placeholder, .contact-form textarea::placeholder {
    color: #b28d60;
}

.contact-form textarea {
    height: 150px;
}

.contact-form button {
    background-color: #d5a660;
    color: white;
    padding: 10px 20px;
    border: none;
    cursor: pointer;
    font-size: 16px;
    text-transform: uppercase;
}

.contact-form button:hover {
    background-color: #c48c48;
}

footer {
    display: flex;
    flex-direction: column;
    margin-top: 20px;
}
#footer-main-ctn {
    display: flex;
    flex-direction: row;
    background-color: #3D577D;
    justify-content: space-around;
    color: white;
    font-weight: 700;
    padding: 20px;
}

#footer-info-1-2 {
    display: flex;
    flex-direction: column;
    text-transform: uppercase;
    justify-content: center;
}
#footer-logo {
    text-transform: uppercase;
    text-align: center;
}
#footer-info-3 {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    color: white;
    font-weight: 700;
}
#footer-info-3 *:not(a) {
    margin-bottom: 20px;
}
#header-social-media-footer {
    display: flex;
    justify-content: space-between;

}
#header-social-media-footer a {
    color: #c48c48;
}
#footer-logo *:not(img){
    margin: 0px;
}
.orangeColor {
    color: #d5a660;
}
#footer-mentions-ctn {
    background-color: #1F2B3E;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    color: white;
    padding: 0px;
}
#footer-mentions-ctn ul {
    list-style-type: none;

}
#footer-mentions-ctn li {
    display: inline-block;
    margin-right: 10px;
}
#footer-mentions-ctn a {
    color: white;
}
#footer-mentions-ctn p a {
    color: #d5a660;
}
@media only screen and (max-width: 1645px) {
    #desktop-nav li {
        margin-right: 40px;
    }
}


@media screen and (max-width: 1397px) {
    #resto-infos p {
        margin-left: 0px;
        margin-top: 0px;
    }
}
@media screen and (max-width: 1215px) {
    #desktop-nav li {
        margin-right: 30px;
    }
    #desktop-nav ul li a {
        font-size: 18px;
    }
}


@media (max-width: 1102px) {
    #burger-menu {
        display: flex;
        order: 1;
    }
    #desktop-nav {
        display: none;
    }
    #header-logo {
        order: 1;
    }
    #header-logo img {
        width: 150px;
        height: 100px;
        margin-bottom: 0px;
    }
    #desktop-nav-ctn {
        padding-top: 20px;
        padding-bottom: 20px;
        padding-left: 0px;
        padding-right: 0px;
    }
}
@media (max-width: 1096px) {
    #galerie-section1 {
        flex-direction: row;
    }
}
@media (max-width: 1095px) {
    #galerie-section1 {
        width: revert;
    }
}


@media (max-width: 880px) {
    #section3 {
        flex-direction: column;
        align-items: center;
    }
    #googleMap-ctn, #contact-ctn {
        width: 100%;
    }
    #footer-mentions-ctn {
        flex-direction: column;
        text-align: center;
    }
}

@media (max-width: 800px) {
    #galerie-section1 {
        display: none;
    }
    #mobile-galerie {
        display: flex;
    }
}

@media screen and (max-width: 950px) {
    #section1 {
        flex-direction: column;
        align-items: center;
    }
    #resto-illu {
        width: 471px;
    }
    #resto-illu img {
        width: 250px
    }
    #decouvrirCarteBtn {
        margin-left: 0px;
    }
    #resto-infos {
        width: 530px;
        text-align: center;
    }
}
@media screen and (max-width: 780px) {
    #galerie-photos img {
        width: 250px;
        height: 250px;
    }
    #galerie-photos img:nth-child(2) {
       margin-right: 0px;
    }
}
@media screen and (min-width: 690px) {
    #header-top-ctn {
        font-size: 16px;
    }
}

@media screen and (max-width: 700px) {
    #footer-main-ctn {
        flex-direction: column;
        text-align: center;
    }
    #footer-info-3 {
        align-items: center;
        margin-top: 20px;
    }
    #header-social-media-footer a {
        padding: 20px;
    }
}

@media screen and (max-width: 620px) {
    #resto-infos {
        width: 95%;
    }
    #header-logo img {
        display: none;
    }
    #desktop-nav-ctn {
        justify-content: space-evenly;
    }
}
@media screen and (max-width: 550px) {
    #galerie-photos img {
        width: 200px;
        height: 200px;
    }
    #googleMap {
        padding: 0px;
    }
    #googleMap img {
        margin-top: 20px;
    }
}

@media screen and (max-width: 515px) {
    #resto-illu {
        width: 370px;
    }
    #header-banner p {
        font-size: 50px;
    }
    #header-top-ctn {
        flex-direction: column;
    }


}
@media screen and (max-width: 483px) {
    #galerie-photos {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    #mobile-galerie {
        flex-direction: column;
    }
}
@media screen and (max-width: 410px) {
    #resto-illu {
        width: 285px;
    }
    #burger-menu {
        margin-left: 0px;
    }
}
@media screen and (max-width: 325px) {
    #resto-illu {
        transform: rotate(0deg);
    }
}

